=== debian/changelog ===
libpod (3.2.1+ds1-2ubuntu3) impish; urgency=medium

  * Rebuild against newer containers-common to fix seccomp issue, LP: #1943049

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 22 Sep 2021 14:40:40 -0400

libpod (3.2.1+ds1-2ubuntu2) impish; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - docker.io package in ubuntu installs some sources into different
      locations, work around that in debian/rules
    - don't build binary package golang-github-containers-libpod-dev,
      because some docker packages are vendored differently, that
      package fails in autopkgtest and cannot posibly work.
  * Fixup confused merge with debian

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 15 Jun 2021 14:12:41 -0400

libpod (3.2.1+ds1-2) experimental; urgency=medium

  * Provide 'podman-docker' package, Closes: #984770
  * Tighten build dependency on golang-golang-x-net-dev

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 15 Jun 2021 13:41:46 -0400

libpod (3.2.1+ds1-1) experimental; urgency=medium

  * New upstream release
  * Tighten build-depends on golang-github-containers-common-dev
    and golang-github-containers-buildah-dev

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 14 Jun 2021 14:08:01 -0400

libpod (3.2.0+ds5-2ubuntu1) impish; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - docker.io package in ubuntu installs some sources into different
      locations, work around that in debian/rules
    - don't build binary package golang-github-containers-libpod-dev,
      because some docker packages are vendored differently, that
      package fails in autopkgtest and cannot posibly work.
  * Tighten build-dendency on buildah

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 12 Jun 2021 17:13:55 -0400

libpod (3.2.0+ds5-2) experimental; urgency=medium

  * Add patch from upstream to fix FTBFS on !(arm64, amd64)

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 12 Jun 2021 07:07:45 -0400

libpod (3.2.0+ds5-1) experimental; urgency=medium

  * New upstream release
  * Install zsh completions (Closes: #989411)
  * Disable LTO, cf. https://wiki.debian.org/ToolChain/LTO

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 08 Jun 2021 17:33:43 -0400

libpod (3.1.2+ds1-2ubuntu1) impish; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - docker.io package in ubuntu installs some sources into different
      locations, work around that in debian/rules
    - don't build binary package golang-github-containers-libpod-dev,
      because some docker packages are vendored differently, that
      package fails in autopkgtest and cannot posibly work.

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 30 May 2021 18:16:23 -0400

libpod (3.1.2+ds1-2) experimental; urgency=medium

  * add missing vendored files included in tarball
  * (explicitly) build-depend on golang-github-moby-term-dev

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 31 May 2021 09:55:52 -0400

libpod (3.1.2+ds1-1) experimental; urgency=medium

  * New upstream release
  * Drop dependency on golang-github-seccomp-containers-golang-dev,
    Closes: #988445

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 28 May 2021 17:57:28 -0400

libpod (3.1.0+ds1-1) experimental; urgency=medium

  * New upstream release
  * Reorganized git source layout. Drop a number of vendored libraries
    (in favor of versions from the Debian archive)
    - github.com/go-logr/logr
    - github.com/moby/term
    - github.com/nxadm/tail
    - github.com/willf/bitset
    - go.etcd.io/bbolt
    - google.golang.org/protobuf

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 03 Apr 2021 16:28:54 -0400

libpod (3.0.1+dfsg1-1ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - docker.io package in ubuntu installs some sources into different
      locations, work around that in debian/rules

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 26 Feb 2021 17:11:36 -0500
