=== debian/changelog ===
libpod (3.4.4+ds1-1ubuntu1) jammy; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - docker.io package in ubuntu installs some sources into different
      locations, work around that in debian/rules

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 23 Jan 2022 14:04:53 -0500

libpod (3.4.4+ds1-1) unstable; urgency=medium

  * New upstream release
    Confirming that CVE-2021-4024 is fixed in 3.4.3, Closes: #1000844

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 25 Dec 2021 19:48:14 -0500

libpod (3.4.3+ds1-1) unstable; urgency=medium

  * New upstream release, Closes: #1001321
    - podman machine spawns gvproxy with port binded to all IPs,
      Closes: #1000844

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 24 Dec 2021 14:40:01 -0500

libpod (3.4.2+ds1-1) unstable; urgency=medium

  * New upstream release
  * Compile against system github.com/dtylman/scp
  * Revert upstream commit that requires newer godbus than we currently
    have in unstable

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 17 Nov 2021 14:30:31 -0500

libpod (3.4.1+ds1-2) unstable; urgency=medium

  * Upload to unstable
  * podman: Install tmpfiles.d/podman.conf, Closes: #995586

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 26 Oct 2021 18:20:56 -0400

libpod (3.4.1+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 25 Oct 2021 13:58:58 -0400

libpod (3.4.0+ds1-1) experimental; urgency=medium

  * New upstream release

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 08 Oct 2021 16:19:40 -0400

libpod (3.3.1+ds2-1) unstable; urgency=medium

  * New upstream release
    - drop coreos/{go-iptables,go-systemd}
  * Drop unneeded dependency on golang-github-openshift-api-dev
  * Bump Standards-Version, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 07 Sep 2021 11:53:40 +0200

libpod (3.3.0+ds2-2) unstable; urgency=medium

  * Apply missing patches that were forgotten in the last merge
    from experimental:
    - Prefer crun over runc
    - Add depends in iptables
  * Upstream improved documentation on requirements for rootless,
    Closes: #983395

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 04 Sep 2021 18:57:31 +0200

libpod (3.3.0+ds2-1) unstable; urgency=medium

  * New upstream release, Closes: #992138, #992142

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 30 Aug 2021 12:37:34 +0200

libpod (3.2.3+ds1-1) experimental; urgency=medium

  * New upstream releases, Closes: #991197
  * Bump dependency on golang-github-containers-common,buildah

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 20 Jul 2021 18:22:50 -0400

libpod (3.2.2+ds1-1) experimental; urgency=medium

  * New upstream releases, Closes: #990333
  * Bump dependency on golang-github-containers-common

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 28 Jun 2021 08:15:51 -0400

libpod (3.0.0+dfsg1-2ubuntu4) hirsute; urgency=medium

  * Tighten dependency on golang-golang-x-net (>> 1:0.0+git20210119)

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 21 Feb 2021 08:27:28 -0500

libpod (3.0.0+dfsg1-2ubuntu2) hirsute; urgency=medium

  * Avoid building golang-github-containers-libpod-dev
    - Because docker.io vendors golang modules differently,
      this package is not usable on ubuntu anyways.

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 20 Feb 2021 11:52:11 -0500

libpod (3.0.0+dfsg1-2ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - docker.io package in ubuntu installs some sources into different
      locations, work around that in debian/rules

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 17 Feb 2021 20:26:23 -0500

libpod (2.1.1+dfsg1-4ubuntu1) hirsute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - docker.io package in ubuntu installs some sources into different
      locations, work around that in debian/rules

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 21 Jan 2021 11:03:01 -0500

libpod (2.0.6+dfsg1-2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - docker.io package in ubuntu installs some sources into different
      locations, work around that in debian/rules
    - allow building with older runc

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 30 Nov 2020 12:57:54 -0800

libpod (2.0.6+dfsg1-1ubuntu2) hirsute; urgency=medium

  * No-change rebuild using new golang

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 11 Nov 2020 22:19:18 +0000
