=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 export DH_GOLANG_GO_GENERATE := 1
 
-export DH_GOLANG_INSTALL_EXTRA := $(wildcard libpod/*/testdata/*)
+export DH_GOLANG_INSTALL_EXTRA := $(wildcard libpod/*/testdata/* libpod/*/cni/*/*/*)
 export DH_GOLANG_EXCLUDES := dependencies test/e2e contrib/perftest test/utils test/endpoint hack/podman-registry-go pkg/bindings/test
 
 export HOME=$(CURDIR)/debian/tmp
@@ -26,6 +26,7 @@
 
 override_dh_auto_configure:
 	# force debhelper to symlink subdirs in docker, enables workarounds below
+	mkdir -v -p _output/src/github.com/docker _output/src/github.com/seccomp
 	mkdir -v -p _output/src/github.com/docker/docker/vendor/github.com/docker/go-connections/
 	dh_auto_configure
 	# workaround some vendoring issues - in ubuntu all docker vendored libraries
@@ -33,6 +34,9 @@
 	test -d _output/src/github.com/docker/libnetwork || \
 	  ln -sv docker/vendor/github.com/docker/libnetwork \
 	     _output/src/github.com/docker
+	test -d _output/src/github.com/seccomp/libseccomp-golang || \
+	  ln -sv ../docker/docker/vendor/github.com/seccomp/libseccomp-golang \
+	  _output/src/github.com/seccomp
 
 	# Golang insanity
 	# workaround "sub-vendored" package github.com/docker/go-connections/nat
@@ -60,7 +64,7 @@
 	  XDG_DATA_HOME=$(CURDIR)/debian/tmp-home/.local/share \
 	  XDG_RUNTIME_DIR=$(CURDIR)/debian/tmp-home/run \
 	  PATH="$(CURDIR)/_output/bin:$$PATH" \
-	  DH_GOLANG_EXCLUDES="$${DH_GOLANG_EXCLUDES} libpod/lock/file libpod/hack/podman-registry-go libpod/pkg/bindings/test podman/cmd/podman/common" \
+	  DH_GOLANG_EXCLUDES="$${DH_GOLANG_EXCLUDES} libpod/network/cni libpod/lock/file libpod/hack/podman-registry-go libpod/pkg/bindings/test podman/cmd/podman/common" \
 	dh_auto_test -v --max-parallel=2 -- -tags "$(BUILDTAGS)"
 	rm -rf $(CURDIR)/debian/tmp-home
 endif
@@ -76,3 +80,4 @@
 override_dh_installsystemd:
 	dh_installsystemd
 	dh_installsystemd --name=podman-auto-update
+	dh_installsystemd --name=podman-restart
